Bug 1124486 - glusterfsd seeing page-allocation errors at the time of network load
Summary: glusterfsd seeing page-allocation errors at the time of network load
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: core
Version: 2.1
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
: ---
Assignee: Bug Updates Notification Mailing List
QA Contact: storage-qa-internal@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 15:28 UTC by Vimal Kumar
Modified: 2019-09-12 07:56 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-28 14:01:38 UTC


Attachments (Terms of Use)

Comment 6 Cedric Buissart 🐶 2015-12-28 14:01:38 UTC
Closing EOL for the following reasons :
- RHS 2.1 is long past EOL
- several memory leaks were patched in recent RHGS, which might have been the reason for this allocation failure.
- 2 of the Red Hat Support tickets linked to it are closed (after upgrading to a newer release and/or kernel tunings)
- From the description, it might be a bug in the tg3 driver : https://bugzilla.redhat.com/show_bug.cgi?id=1029192 (fixed in kernel-2.6.32-479.el6)
- as agreed with Vimal with the 3rd ticket : if similar issue is seen on 3.1.1, a new BZ will be created.

- Potential workaround include kernel update (some rhel6 early drivers were known to cause memory fragmentation, e.g. BZs 1018715, 1029192) & memory tuning (e.g. : vm.dirty_ratio and/or vm.dirty_background_ratio, etc. ) to prevent memory fragmentation & bigger chucks of memory allocation to fail.


-> If the issue occurs again in 3.1.1, with a recent kernel, open a new BZ


Note You need to log in before you can comment on or make changes to this bug.